Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoSFString Class Reference
[Field classes]

The SoSFString class is a container for an SbString. More...

`#include <Inventor/fields/SoSFString.h>`

Inheritance diagram for SoSFString:

List of all members.

## Public Methods
void | setValue (const char *str)
## Static Public Methods
void | initClass (void)

## Detailed Description

The SoSFString class is a container for an SbString.

This field is used where nodes, engines or other field containers needs to store a single string.

Fields of this type stores their value to file as a the string within quotes.

See also:
  SoMFString

## Member Function Documentation

void SoSFString::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoSField.

void SoSFString::setValue | ( | const char * | str | ) |

| Set string field value from str.

The documentation for this class was generated from the following files:

- SoSFString.h
- SoSFString.cpp